package com.ym.im.service;

import com.ym.im.entity.IdModel;
import com.ym.im.entity.MsgBody;

/**
 * @author: JJww
 * @Date:2019-07-24
 */
public interface UserService {

    /**
     * 获取当前用户列表
     *
     * @param staffId
     * @return
     */
    MsgBody getUserList(Long staffId);

    /**
     * 从列表中删除用户
     *
     * @param idModel
     * @return
     */
    MsgBody deleteUserFromList(IdModel idModel);

    /**
     * 查询用户绑定情况
     *
     * @param idModel
     * @return
     */
    MsgBody checkBinding(IdModel idModel);

}
